/* ------------------------------------------------
/* Menu
/* ------------------------------------------------
/* --- MOBILE FULL-SCREEN ( < 1023px ) --- */
@media (max-width: 1023px) {
  #nook-main-nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: var(--nook-text);
    color: #fff;
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    visibility: hidden;
    transition: var(--nook-transition-menu);
    display: none;
  }

  body.nav-open #nook-main-nav {
    opacity: 1;
    visibility: visible;
    display: flex;
  }

  #nook-main-nav ul {
    list-style: none;
    padding: 0;
    text-align: center;
  }

  #nook-main-nav ul li a {
    font-size: 2rem;
    color: #fff;
    text-decoration: none;
    font-weight: 600;
    display: block;
    padding: 0.75rem;
  }

  /* Footer wewnątrz menu */
  .nook-nav-footer {
    position: absolute;
    bottom: calc( 2 * var(--nook-col-gap));
    left: 0;
    width: 100%;
    text-align: center;
    padding: 0 var(--nook-col-gap);
  }

  .nook-nav-info {
    font-size: 0.9rem;
    margin-bottom: var(--nook-col-gap);
    opacity: 0.7;
  }
  
  .nook-nav-info a {
    color: #FFF;
  }

  .nook-btn-alt {
    display: inline-block;
    padding: calc( 0.5 * var(--nook-col-gap)) calc( 1.25 * var(--nook-col-gap));
    border: 2px solid var(--nook-primary);
    color: #fff;
    text-decoration: none;
    border-radius: var(--nook-radius-lg);
    font-weight: 600;
  }

  .nook-nav-logo {
    margin-top: calc( 2 * var(--nook-col-gap));
    opacity: 0.3;
  }

  #nook-menu-trigger {
    position: relative;
    z-index: 1000;
    background: none;
    border: none;
  }

  #nook-menu-trigger:hover {
    cursor: pointer;
  }

  .nook-bar {
    display: block;
    width: 28px;
    height: 4px;
    background: var(--nook-text);
    margin: 4px 0;
    transition: 0.4s;
    border-radius: 4px;
  }
  /* menu open */
  .nav-open .nook-bar {
    background: #FFF;
  }

  body.nav-open #nook-menu-trigger {
    position: fixed;
    top:26px;
    right: 32px;
  }

  body.nav-open .nook-bar:nth-child(1) {
    transform: translateY(9px) rotate(45deg);
  }

  body.nav-open .nook-bar:nth-child(2) {
    opacity: 0;
  }

  body.nav-open .nook-bar:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
  }
}

/* --- DESKTOP ( > 1024px ) --- */
@media (min-width: 1024px) {

  #nook-menu-trigger,
  .nook-nav-footer {
    display: none;
  }

  #nook-main-nav {
    position: static;
    height: auto;
    background: none;
    opacity: 1;
    visibility: visible;
  }

  #nook-main-nav ul {
    display: flex;
    gap: calc( 1.25 * var(--nook-col-gap));
    list-style: none;
  }

  #nook-main-nav ul li a {
    color: var(--nook-dark);
    text-decoration: none;
    font-weight: 600;
  }
}